package com.izouma.awesomeadmin.model;

import java.util.*;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ThingInfo {
    private Integer id;
    private String delFlag;
    private Date updateTime;
    private String updateUser;
    private Date createTime;
    private String createUser;
    private String power;
    private String landmarkId;
    private String thingName;
    private String thingType;
    private String rankLevel;
    private String allowNavigate;
    private String remark;
    private String icon;
    private String keyword;
    private String image;
    private String textIntroduction;
    private String showDistance;
    private String templateId;
    private String frontLevelId;
    private String cityId;
    private String areaId;
    private String mapX;
    private String mapY;
    private String mapIndex;

    /**
     * 朝向
     */
    private String orientation;

    private String idStr;

    private String searchKey;

    /**
     * and,test_name,like,value;or,remark,=,123
     */
    private String advancedQuery;

    /**
     * column_name_,desc_;column_name_,asc
     */
    private String orderByStr;

    private AimGroupInfo aimGroupInfo;

    /**
     * 地标专属标识
     */
    private String landMarkFlag;

    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDelFlag() {
        return this.delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Date getUpdateTime() {
        return this.updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUser() {
        return this.updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUser() {
        return this.createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getPower() {
        return this.power;
    }

    public void setPower(String power) {
        this.power = power;
    }

    public String getLandmarkId() {
        return this.landmarkId;
    }

    public void setLandmarkId(String landmarkId) {
        this.landmarkId = landmarkId;
    }

    public String getThingName() {
        return this.thingName;
    }

    public void setThingName(String thingName) {
        this.thingName = thingName;
    }

    public String getThingType() {
        return this.thingType;
    }

    public void setThingType(String thingType) {
        this.thingType = thingType;
    }

    public String getRankLevel() {
        return this.rankLevel;
    }

    public void setRankLevel(String rankLevel) {
        this.rankLevel = rankLevel;
    }

    public String getAllowNavigate() {
        return this.allowNavigate;
    }

    public void setAllowNavigate(String allowNavigate) {
        this.allowNavigate = allowNavigate;
    }

    public String getRemark() {
        return this.remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getIcon() {
        return this.icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getKeyword() {
        return this.keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public String getImage() {
        return this.image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getTextIntroduction() {
        return this.textIntroduction;
    }

    public void setTextIntroduction(String textIntroduction) {
        this.textIntroduction = textIntroduction;
    }

    public String getShowDistance() {
        return this.showDistance;
    }

    public void setShowDistance(String showDistance) {
        this.showDistance = showDistance;
    }

    public String getTemplateId() {
        return this.templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    public String getFrontLevelId() {
        return this.frontLevelId;
    }

    public void setFrontLevelId(String frontLevelId) {
        this.frontLevelId = frontLevelId;
    }

    public String getCityId() {
        return this.cityId;
    }

    public void setCityId(String cityId) {
        this.cityId = cityId;
    }

    public String getAreaId() {
        return this.areaId;
    }

    public void setAreaId(String areaId) {
        this.areaId = areaId;
    }

    public String getMapX() {
        return this.mapX;
    }

    public void setMapX(String mapX) {
        this.mapX = mapX;
    }

    public String getMapY() {
        return this.mapY;
    }

    public void setMapY(String mapY) {
        this.mapY = mapY;
    }

    public String getMapIndex() {
        return this.mapIndex;
    }

    public void setMapIndex(String mapIndex) {
        this.mapIndex = mapIndex;
    }

    public String getSearchKey() {
        return searchKey;
    }

    public void setSearchKey(String searchKey) {
        this.searchKey = searchKey;
    }

    public String getAdvancedQuery() {
        return advancedQuery;
    }

    public void setAdvancedQuery(String advancedQuery) {
        this.advancedQuery = advancedQuery;
    }

    public String getOrderByStr() {
        return orderByStr;
    }

    public void setOrderByStr(String orderByStr) {
        this.orderByStr = orderByStr;
    }

    public String getIdStr() {
        return idStr;
    }

    public void setIdStr(String idStr) {
        this.idStr = idStr;
    }

    public AimGroupInfo getAimGroupInfo() {
        return aimGroupInfo;
    }

    public void setAimGroupInfo(AimGroupInfo aimGroupInfo) {
        this.aimGroupInfo = aimGroupInfo;
    }

    public String getOrientation() {
        return orientation;
    }

    public void setOrientation(String orientation) {
        this.orientation = orientation;
    }

    public String getLandMarkFlag() {
        return landMarkFlag;
    }

    public void setLandMarkFlag(String landMarkFlag) {
        this.landMarkFlag = landMarkFlag;
    }
}

